public class OrderingTestData<T> {
  private final T value;
  private final int producer;
  private final int timestamp;

  public OrderingTestData(T value, int producer, int timestamp) {
    this.value = value;
    this.producer = producer;
    this.timestamp = timestamp;
  }

  public T getValue() {
    return value;
  }

  public int getTimestamp() {
    return timestamp;
  }

  public int getProducer() {
    return producer;
  }
}
